%define longtitle MySQL Query Tool

Summary:	A graphical MySQL query shell
Name:		mysql-query-browser
Version:	1.1.18
Release:	%mkrel 2
Group:		Databases
License:	GPL
URL:		http://www.mysql.com/products/tools/query-browser/
Source0:	http://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQLAdministrationSuite/%{name}-%{version}.tar.bz2
Patch0:		mysql-query-browser-1.1.18-gtk+-2.8.11.diff
Patch1:		mysql-query-browser-1.1.18-gcc4.patch
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libgtkhtml-3.8-devel
BuildRequires:	MySQL-devel >= 5.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MySQL Query Browser is a GUI tool for executing SQL queries.
It will display the result in a list where you can edit its contents
and save. It has several auxiliar features to facilitate work, such
as query "bookmarking", query history, syntax highlighting and online
help.

It's part of the MySQL Developer Suite.

%prep

%setup -q

# strip away annoying ^M
#find -type f -exec dos2unix -U {} \;
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%patch0 -p0
%patch1 -p1 -b .gcc4

%build

export PKG_CONFIG="%{_bindir}/pkg-config"

pushd mysql-gui-common
%configure2_5x \
    --with-commondirname=query-browser
%make
popd

pushd %{name}
%configure2_5x \
    --with-commondirname=query-browser \
    --with-gtkhtml=libgtkhtml-3.8
%make
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}/{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
install -d %{buildroot}%{_datadir}/mysql-gui/doc/query-browser

pushd mysql-gui-common
%makeinstall_std
popd

pushd %{name}
%makeinstall_std
popd

cp -a %{name}/doc/* %{buildroot}%{_datadir}/mysql-gui/doc/query-browser/

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
section="More Applications/Databases" \
icon="%{name}.png" \
needs="x11" \
kde_filename="MySQLQueryBrowser" \
title="MySQL Query Browser" \
longtitle="%{longtitle}" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Database" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_liconsdir}/%{name}.png

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus
 
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644, root, root, 0755)
%doc mysql-query-browser/COPYING 
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}-bin
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/query-browser/*
%dir %{_datadir}/mysql-gui/doc/query-browser
%{_datadir}/mysql-gui/doc/query-browser/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Sep 03 2006 Buchan Milne <bgmilne@mandriva.org> 1.1.18-2mdv2007.0
- xdg menu (fix categories)
- patch to fix build on gcc4

* Sun Feb 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.18-1mdk
- 1.1.18
- fix deps and use versioned libgtkhtml 
- fix segfault at startup (#20620)

* Wed Dec 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.17-2mdk
- Fix Builrequires

* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.17-1mdk
- 1.1.17

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.14-2mdk
- rebuilt against MySQL-5.0.15

* Thu Oct 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.14-1mdk
- 1.1.14
- drop upstream patches; P0

* Tue May 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7
- fix the menu entry, the hard way
- added one gcc4/amd64 patch by debian (P0)
- strip away annoying ^M

* Fri Apr 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-2mdk
- use the %%mkrel macro
- fix deps

* Fri Dec 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.2-1mdk
- First Mandrake package (based on spec distributed in the source and
  spec for mysql-administrator
